ICU 76.1: U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result > Class Template Reference

ICU 76.1 76.1

Public Member Functions
U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result > Class Template Reference

Function object for performing comparisons using a UCollator. More...

`#include <ucol.h>`

## Public Member Functions
| Predicate (const UCollator *ucol)
template<typename T , typename U , typename = std::enable_if_t<ConvertibleToU16StringView<T> && ConvertibleToU16StringView<U>>>
bool | operator() (const T &lhs, const U &rhs) const
bool | operator() (std::string_view lhs, std::string_view rhs) const

## Detailed Description

template<template< typename... > typename Compare, UCollationResult result>
class U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result >

Function object for performing comparisons using a UCollator.

Internal
  Do not use. This API is for internal use only.

Definition at line 1545 of file ucol.h.

## Constructor & Destructor Documentation

## ◆ Predicate()

template<template< typename... > typename Compare, UCollationResult result>

U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result >::Predicate | ( | const UCollator * | ucol | ) |
| inlineexplicit

Internal
  Do not use. This API is for internal use only.

Definition at line 1548 of file ucol.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<template< typename... > typename Compare, UCollationResult result>
template<typename T , typename U , typename = std::enable_if_t<ConvertibleToU16StringView<T> && ConvertibleToU16StringView<U>>>

bool U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result >::operator() | ( | const T & | lhs,
|  | const U & | rhs ) const
| inline

Internal
  Do not use. This API is for internal use only.

Definition at line 1554 of file ucol.h.

## ◆ operator()() [2/2]

template<template< typename... > typename Compare, UCollationResult result>

bool U_HEADER_ONLY_NAMESPACE::collator::internal::Predicate< Compare, result >::operator() | ( | std::string_view | lhs,
|  | std::string_view | rhs ) const
| inline

Internal
  Do not use. This API is for internal use only.

Definition at line 1559 of file ucol.h.

The documentation for this class was generated from the following file:

- i18n/unicode/ucol.h